AutoSegments_IsAccountable(3)

NAME
AutoSegments_IsAccountable - Filter to select accoutable AutoSegment.

SYNOPSIS

Inherits Filter< Type >.

  Public Member Functions
virtual AutoSegmentHF * getClone () const
virtual bool accept (AutoSegment *) const

Detailed Description

Filter to select accoutable AutoSegment. A Filter to select accoutable AutoSegment. An AutoSegment is said to be accountable if it is canonical (in the sense of an aligned set).

Member Function Documentation

  AutoSegmentHF * getClone () const [virtual]
Returns: A deep copy of the Collection.

Implements Filter< Type >.

  bool accept (AutoSegment * segment) const [virtual]
Returns: true if the segment is accountable (i.e. canonical).

Author

Generated automatically by Doxygen for Katabatic - Routing Toolbox from the source code.